Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.deployment
Class ServerConfigurator

    java.lang.Object
      org.apache.axis2.deployment.DeploymentEngine
          org.wso2.wsas.deployment.ServerConfigurator

All Implemented Interfaces:
  org.apache.axis2.engine.AxisConfigurator, org.apache.axis2.deployment.DeploymentConstants

public class ServerConfigurator
extends org.apache.axis2.deployment.DeploymentEngine
implements org.apache.axis2.engine.AxisConfigurator

WSO2 WSAS's implementation of AxisConfigurator to load Axis2 configuration for WSO2 WSAS.

Field Summary

Fields inherited from class org.apache.axis2.deployment.DeploymentEngine
`axisConfig, configContext, hotDeployment, hotUpdate, moduleDeployer, modulesDir, modulesPath, repoListener, scheduler, serviceDeployer, servicesDir, servicesPath, webLocationString, wsToDeploy, wsToUnDeploy`

Fields inherited from interface org.apache.axis2.deployment.DeploymentConstants
`ATTRIBUTE_ACTIVATE, ATTRIBUTE_CLASS, ATTRIBUTE_DEFAULT_VERSION, ATTRIBUTE_LOCKED, ATTRIBUTE_NAME, ATTRIBUTE_NAMESPACE, ATTRIBUTE_PACKAGE, ATTRIBUTE_SCOPE, ATTRIBUTE_WSADDRESSING, AXIS2_CONFIGURATION_RESOURCE, AXIS2_CONFIGURATION_XML, AXIS2_REPO, BOOLEAN_FALSE, BOOLEAN_TRUE, DEPLOYER, DIRECTORY, DIRECTORY_AXIS2_HOME, DIRECTORY_CONF, EXTENSION, MAPPING, META_INF, MODULE_DRI_PATH, MODULE_PATH, MODULE_XML, POLICY_NS_URI, PROPERTY_TEMP_DIR, RESOURCE_MODULES, SCHEMA, SCHEMA_ELEMENT_QUALIFIED, SCHEMA_NAME_SPACE, SEPARATOR_COLON, SEPARATOR_DOT, SERVICE_DIR_PATH, SERVICE_PATH, SERVICES_XML, SUFFIX_JAR, SUFFIX_MAR, SUFFIX_WSDL, TAG_AFTER, TAG_ANTI_JAR_LOCKING, TAG_AXISCONFIG, TAG_BEFORE, TAG_CLASS_NAME, TAG_CLUSTER, TAG_CONFIGURATION_MANAGER, TAG_CONTENT_TYPE, TAG_CONTEXT, TAG_CONTEXT_MANAGER, TAG_DEFAULT_MODULE_VERSION, TAG_DEFAULTS, TAG_DESCRIPTION, TAG_DISPATCH_ORDER, TAG_DISPATCHER, TAG_EXCLUDE, TAG_EXCLUDE_OPERATIONS, TAG_EXPOSE, TAG_EXTRACT_SERVICE_ARCHIVE, TAG_FLOW_IN, TAG_FLOW_IN_FAULT, TAG_FLOW_OUT, TAG_FLOW_OUT_FAULT, TAG_HANDLER, TAG_HOT_DEPLOYMENT, TAG_HOT_UPDATE, TAG_LABEL, TAG_LISTENER, TAG_MAPPING, TAG_MEP, TAG_MESSAGE, TAG_MESSAGE_BUILDER, TAG_MESSAGE_BUILDERS, TAG_MESSAGE_FORMATTER, TAG_MESSAGE_FORMATTERS, TAG_MESSAGE_RECEIVER, TAG_MESSAGE_RECEIVERS, TAG_MODULE, TAG_MODULE_CONFIG, TAG_NAMESPACES, TAG_OBJECT_SUPPLIER, TAG_OPERATION, TAG_ORDER, TAG_PACKAGE_NAME, TAG_PACKAGE2QNAME, TAG_PARAMETER, TAG_PHASE, TAG_PHASE_FIRST, TAG_PHASE_LAST, TAG_PHASE_ORDER, TAG_POLICY, TAG_POLICY_REF, TAG_QNAME, TAG_REFERENCE, TAG_REPLICATION, TAG_SERVICE, TAG_SERVICE_GROUP, TAG_SUPPORTED_POLICY_NAMESPACES, TAG_TARGET_RESOLVER, TAG_TARGET_RESOLVERS, TAG_TRANSPORT, TAG_TRANSPORT_RECEIVER, TAG_TRANSPORT_SENDER, TAG_TRANSPORTS, TAG_TYPE, TARGET_NAME_SPACE`

Method Summary
`void` | `engageGlobalModules()`
`org.apache.axis2.engine.AxisConfiguration` | `getAxisConfiguration()` First create a Deployment engine, use that to create an AxisConfiguration
`static ServerConfigurator` | `getInstance()`
`void` | `init(java.lang.String repoLocation, java.lang.String weblocation)` Load an AxisConfiguration from the repository directory specified
`boolean` | `isGlobalyEngaged(org.apache.axis2.description.AxisModule axisModule)`
`boolean` | `isInitialized()`
`void` | `loadServices()`

Methods inherited from class org.apache.axis2.deployment.DeploymentEngine
`addNewModule, addServiceGroup, addWSToDeploy, addWSToUndeploy, buildModule, buildService, buildServiceGroup, cleanup, doDeploy, engageModules, fillServiceGroup, getAxisConfig, getAxisServiceName, getDeployerForExtension, getDirectoryToExtensionMappingMap, getFileList, getModule, getModuleDeployer, getModulesDir, getRepoListener, getRepositoryDir, getRepositoryPath, getServiceDeployer, getServicesDir, getWebLocationString, isHotUpdate, loadDefaultMessageReceiver, loadFromClassPath, loadRepository, loadRepositoryFromURL, loadServiceGroup, loadServicesFromUrl, populateAxisConfiguration, populateService, prepareRepository, setClassLoaders, setConfigContext, setDeploymentFeatures, setDirectoryToExtensionMappingMap, setExtensionToDeployerMappingMap, setWebLocationString, startSearch, unDeploy`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.axis2.engine.AxisConfigurator
`cleanup`

Method Detail

### isInitialized

    public boolean isInitialized()

### getInstance

    public static ServerConfigurator getInstance()

### init

    public void init(java.lang.String repoLocation,
                     java.lang.String weblocation)
              throws org.wso2.utils.ServerException

  Load an AxisConfiguration from the repository directory specified

  Parameters:
    `repoLocation` -
    `weblocation` -
  Throws:
    `org.wso2.utils.ServerException`

### getAxisConfiguration

    public org.apache.axis2.engine.AxisConfiguration getAxisConfiguration()
                                                                   throws org.apache.axis2.AxisFault

  First create a Deployment engine, use that to create an AxisConfiguration

  Specified by:
    `getAxisConfiguration` in interface `org.apache.axis2.engine.AxisConfigurator`
  Returns:
    Axis Configuration
  Throws:
    `org.apache.axis2.AxisFault`

### isGlobalyEngaged

    public boolean isGlobalyEngaged(org.apache.axis2.description.AxisModule axisModule)

### engageGlobalModules

    public void engageGlobalModules()
                             throws org.apache.axis2.AxisFault

  Specified by:
    `engageGlobalModules` in interface `org.apache.axis2.engine.AxisConfigurator`
  Throws:
    `org.apache.axis2.AxisFault`

### loadServices

    public void loadServices()

  Specified by:
    `loadServices` in interface `org.apache.axis2.engine.AxisConfigurator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD